Package org.lwjgl.opengles

# Class ContextCapabilities

java.lang.Object
org.lwjgl.opengles.ContextCapabilities

public class ContextCapabilities extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`GL_AMD_compressed_3DC_texture`
`final boolean`
`GL_AMD_compressed_ATC_texture`
`final boolean`
`GL_AMD_performance_monitor`
`final boolean`
`GL_AMD_program_binary_Z400`
`final boolean`
`GL_ANGLE_framebuffer_blit`
`final boolean`
`GL_ANGLE_framebuffer_multisample`
`final boolean`
`GL_APPLE_framebuffer_multisample`
`final boolean`
`GL_APPLE_rgb_422`
`final boolean`
`GL_APPLE_sync`
`final boolean`
`GL_APPLE_texture_format_BGRA8888`
`final boolean`
`GL_APPLE_texture_max_level`
`final boolean`
`GL_ARB_draw_buffers`
`final boolean`
`GL_ARB_half_float_pixel`
`final boolean`
`GL_ARB_texture_rectangle`
`final boolean`
`GL_ARM_mali_shader_binary`
`final boolean`
`GL_ARM_rgba8`
`final boolean`
`GL_DMP_shader_binary`
`final boolean`
`GL_EXT_bgra`
`final boolean`
`GL_EXT_blend_minmax`
`final boolean`
`GL_EXT_Cg_shader`
`final boolean`
`GL_EXT_color_buffer_half_float`
`final boolean`
`GL_EXT_copy_texture_levels`
`final boolean`
`GL_EXT_debug_label`
`final boolean`
`GL_EXT_debug_marker`
`final boolean`
`GL_EXT_discard_framebuffer`
`final boolean`
`GL_EXT_frag_depth`
`final boolean`
`GL_EXT_map_buffer_range`
`final boolean`
`GL_EXT_multi_draw_arrays`
`final boolean`
`GL_EXT_multisampled_render_to_texture`
`final boolean`
`GL_EXT_multiview_draw_buffers`
`final boolean`
`GL_EXT_occlusion_query_boolean`
`final boolean`
`GL_EXT_packed_float`
`final boolean`
`GL_EXT_read_format_bgra`
`final boolean`
`GL_EXT_robustness`
`final boolean`
`GL_EXT_separate_shader_objects`
`final boolean`
`GL_EXT_shader_framebuffer_fetch`
`final boolean`
`GL_EXT_shader_texture_lod`
`final boolean`
`GL_EXT_shadow_samplers`
`final boolean`
`GL_EXT_sRGB`
`final boolean`
`GL_EXT_texture_array`
`final boolean`
`GL_EXT_texture_compression_dxt1`
`final boolean`
`GL_EXT_texture_compression_latc`
`final boolean`
`GL_EXT_texture_compression_s3tc`
`final boolean`
`GL_EXT_texture_filter_anisotropic`
`final boolean`
`GL_EXT_texture_format_BGRA8888`
`final boolean`
`GL_EXT_texture_lod_bias`
`final boolean`
`GL_EXT_texture_rg`
`final boolean`
`GL_EXT_texture_storage`
`final boolean`
`GL_EXT_texture_type_2_10_10_10_REV`
`final boolean`
`GL_EXT_unpack_subimage`
`final boolean`
`GL_IMG_multisampled_render_to_texture`
`final boolean`
`GL_IMG_program_binary`
`final boolean`
`GL_IMG_read_format`
`final boolean`
`GL_IMG_shader_binary`
`final boolean`
`GL_IMG_texture_compression_pvrtc`
`final boolean`
`GL_KHR_debug`
`final boolean`
`GL_KHR_texture_compression_astc_ldr`
`final boolean`
`GL_NV_coverage_sample`
`final boolean`
`GL_NV_depth_nonlinear`
`final boolean`
`GL_NV_draw_buffers`
`final boolean`
`GL_NV_draw_path`
`final boolean`
`GL_NV_draw_texture`
`final boolean`
`GL_NV_EGL_stream_consumer_external`
`final boolean`
`GL_NV_fbo_color_attachments`
`final boolean`
`GL_NV_fence`
`final boolean`
`GL_NV_framebuffer_vertex_attrib_array`
`final boolean`
`GL_NV_get_tex_image`
`final boolean`
`GL_NV_platform_binary`
`final boolean`
`GL_NV_read_buffer`
`final boolean`
`GL_NV_read_depth_stencil`
`final boolean`
`GL_NV_shader_framebuffer_fetch`
`final boolean`
`GL_NV_system_time`
`final boolean`
`GL_NV_texture_compression_s3tc_update`
`final boolean`
`GL_NV_texture_npot_2D_mipmap`
`final boolean`
`GL_OES_blend_equation_separate`
`final boolean`
`GL_OES_blend_func_separate`
`final boolean`
`GL_OES_blend_subtract`
`final boolean`
`GL_OES_compressed_ETC1_RGB8_texture`
`final boolean`
`GL_OES_compressed_paletted_texture`
`final boolean`
`GL_OES_depth_texture`
`final boolean`
`GL_OES_depth24`
`final boolean`
`GL_OES_depth32`
`final boolean`
`GL_OES_EGL_image`
`final boolean`
`GL_OES_EGL_image_external`
`final boolean`
`GL_OES_EGL_sync`
`final boolean`
`GL_OES_element_index_uint`
`final boolean`
`GL_OES_fbo_render_mipmap`
`final boolean`
`GL_OES_framebuffer_object`
`final boolean`
`GL_OES_get_program_binary`
`final boolean`
`GL_OES_mapbuffer`
`final boolean`
`GL_OES_packed_depth_stencil`
`final boolean`
`GL_OES_required_internalformat`
`final boolean`
`GL_OES_rgb8_rgba8`
`final boolean`
`GL_OES_standard_derivatives`
`final boolean`
`GL_OES_stencil1`
`final boolean`
`GL_OES_stencil4`
`final boolean`
`GL_OES_stencil8`
`final boolean`
`GL_OES_surfaceless_context`
`final boolean`
`GL_OES_texture_3D`
`final boolean`
`GL_OES_texture_float`
`final boolean`
`GL_OES_texture_float_linear`
`final boolean`
`GL_OES_texture_half_float`
`final boolean`
`GL_OES_texture_half_float_linear`
`final boolean`
`GL_OES_texture_npot`
`final boolean`
`GL_OES_vertex_array_object`
`final boolean`
`GL_OES_vertex_half_float`
`final boolean`
`GL_OES_vertex_type_10_10_10_2`
`final boolean`
`GL_QCOM_binning_control`
`final boolean`
`GL_QCOM_driver_control`
`final boolean`
`GL_QCOM_extended_get`
`final boolean`
`GL_QCOM_extended_get2`
`final boolean`
`GL_QCOM_performance_monitor_global_mode`
`final boolean`
`GL_QCOM_tiled_rendering`
`final boolean`
`GL_QCOM_writeonly_rendering`
`final boolean`
`GL_VIV_shader_binary`
`final boolean`
`OpenGLES20`
`final boolean`
`OpenGLES30`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_AMD_compressed_3DC_texture

public final boolean GL_AMD_compressed_3DC_texture

### GL_AMD_compressed_ATC_texture

public final boolean GL_AMD_compressed_ATC_texture

### GL_AMD_performance_monitor

public final boolean GL_AMD_performance_monitor

### GL_AMD_program_binary_Z400

public final boolean GL_AMD_program_binary_Z400

### GL_ANGLE_framebuffer_blit

public final boolean GL_ANGLE_framebuffer_blit

### GL_ANGLE_framebuffer_multisample

public final boolean GL_ANGLE_framebuffer_multisample

### GL_APPLE_framebuffer_multisample

public final boolean GL_APPLE_framebuffer_multisample

### GL_APPLE_rgb_422

public final boolean GL_APPLE_rgb_422

### GL_APPLE_sync

public final boolean GL_APPLE_sync

### GL_APPLE_texture_format_BGRA8888

public final boolean GL_APPLE_texture_format_BGRA8888

### GL_APPLE_texture_max_level

public final boolean GL_APPLE_texture_max_level

### GL_ARB_draw_buffers

public final boolean GL_ARB_draw_buffers

### GL_ARB_half_float_pixel

public final boolean GL_ARB_half_float_pixel

### GL_ARB_texture_rectangle

public final boolean GL_ARB_texture_rectangle

### GL_ARM_mali_shader_binary

public final boolean GL_ARM_mali_shader_binary

### GL_ARM_rgba8

public final boolean GL_ARM_rgba8

### GL_DMP_shader_binary

public final boolean GL_DMP_shader_binary

### GL_EXT_Cg_shader

public final boolean GL_EXT_Cg_shader

### GL_EXT_bgra

public final boolean GL_EXT_bgra

### GL_EXT_blend_minmax

public final boolean GL_EXT_blend_minmax

### GL_EXT_color_buffer_half_float

public final boolean GL_EXT_color_buffer_half_float

### GL_EXT_copy_texture_levels

public final boolean GL_EXT_copy_texture_levels

### GL_EXT_debug_label

public final boolean GL_EXT_debug_label

### GL_EXT_debug_marker

public final boolean GL_EXT_debug_marker

### GL_EXT_discard_framebuffer

public final boolean GL_EXT_discard_framebuffer

### GL_EXT_frag_depth

public final boolean GL_EXT_frag_depth

### GL_EXT_map_buffer_range

public final boolean GL_EXT_map_buffer_range

### GL_EXT_multi_draw_arrays

public final boolean GL_EXT_multi_draw_arrays

### GL_EXT_multisampled_render_to_texture

public final boolean GL_EXT_multisampled_render_to_texture

### GL_EXT_multiview_draw_buffers

public final boolean GL_EXT_multiview_draw_buffers

### GL_EXT_occlusion_query_boolean

public final boolean GL_EXT_occlusion_query_boolean

### GL_EXT_packed_float

public final boolean GL_EXT_packed_float

### GL_EXT_read_format_bgra

public final boolean GL_EXT_read_format_bgra

### GL_EXT_robustness

public final boolean GL_EXT_robustness

### GL_EXT_sRGB

public final boolean GL_EXT_sRGB

### GL_EXT_separate_shader_objects

public final boolean GL_EXT_separate_shader_objects

### GL_EXT_shader_framebuffer_fetch

public final boolean GL_EXT_shader_framebuffer_fetch

### GL_EXT_shader_texture_lod

public final boolean GL_EXT_shader_texture_lod

### GL_EXT_shadow_samplers

public final boolean GL_EXT_shadow_samplers

### GL_EXT_texture_array

public final boolean GL_EXT_texture_array

### GL_EXT_texture_compression_dxt1

public final boolean GL_EXT_texture_compression_dxt1

### GL_EXT_texture_compression_latc

public final boolean GL_EXT_texture_compression_latc

### GL_EXT_texture_compression_s3tc

public final boolean GL_EXT_texture_compression_s3tc

### GL_EXT_texture_filter_anisotropic

public final boolean GL_EXT_texture_filter_anisotropic

### GL_EXT_texture_format_BGRA8888

public final boolean GL_EXT_texture_format_BGRA8888

### GL_EXT_texture_lod_bias

public final boolean GL_EXT_texture_lod_bias

### GL_EXT_texture_rg

public final boolean GL_EXT_texture_rg

### GL_EXT_texture_storage

public final boolean GL_EXT_texture_storage

### GL_EXT_texture_type_2_10_10_10_REV

public final boolean GL_EXT_texture_type_2_10_10_10_REV

### GL_EXT_unpack_subimage

public final boolean GL_EXT_unpack_subimage

### OpenGLES20

public final boolean OpenGLES20

### OpenGLES30

public final boolean OpenGLES30

### GL_IMG_multisampled_render_to_texture

public final boolean GL_IMG_multisampled_render_to_texture

### GL_IMG_program_binary

public final boolean GL_IMG_program_binary

### GL_IMG_read_format

public final boolean GL_IMG_read_format

### GL_IMG_shader_binary

public final boolean GL_IMG_shader_binary

### GL_IMG_texture_compression_pvrtc

public final boolean GL_IMG_texture_compression_pvrtc

### GL_KHR_debug

public final boolean GL_KHR_debug

### GL_KHR_texture_compression_astc_ldr

public final boolean GL_KHR_texture_compression_astc_ldr

### GL_NV_EGL_stream_consumer_external

public final boolean GL_NV_EGL_stream_consumer_external

### GL_NV_coverage_sample

public final boolean GL_NV_coverage_sample

### GL_NV_depth_nonlinear

public final boolean GL_NV_depth_nonlinear

### GL_NV_draw_buffers

public final boolean GL_NV_draw_buffers

### GL_NV_draw_path

public final boolean GL_NV_draw_path

### GL_NV_draw_texture

public final boolean GL_NV_draw_texture

### GL_NV_fbo_color_attachments

public final boolean GL_NV_fbo_color_attachments

### GL_NV_fence

public final boolean GL_NV_fence

### GL_NV_framebuffer_vertex_attrib_array

public final boolean GL_NV_framebuffer_vertex_attrib_array

### GL_NV_get_tex_image

public final boolean GL_NV_get_tex_image

### GL_NV_platform_binary

public final boolean GL_NV_platform_binary

### GL_NV_read_buffer

public final boolean GL_NV_read_buffer

### GL_NV_read_depth_stencil

public final boolean GL_NV_read_depth_stencil

### GL_NV_shader_framebuffer_fetch

public final boolean GL_NV_shader_framebuffer_fetch

### GL_NV_system_time

public final boolean GL_NV_system_time

### GL_NV_texture_compression_s3tc_update

public final boolean GL_NV_texture_compression_s3tc_update

### GL_NV_texture_npot_2D_mipmap

public final boolean GL_NV_texture_npot_2D_mipmap

### GL_OES_EGL_image

public final boolean GL_OES_EGL_image

### GL_OES_EGL_image_external

public final boolean GL_OES_EGL_image_external

### GL_OES_EGL_sync

public final boolean GL_OES_EGL_sync

### GL_OES_blend_equation_separate

public final boolean GL_OES_blend_equation_separate

### GL_OES_blend_func_separate

public final boolean GL_OES_blend_func_separate

### GL_OES_blend_subtract

public final boolean GL_OES_blend_subtract

### GL_OES_compressed_ETC1_RGB8_texture

public final boolean GL_OES_compressed_ETC1_RGB8_texture

### GL_OES_compressed_paletted_texture

public final boolean GL_OES_compressed_paletted_texture

### GL_OES_depth24

public final boolean GL_OES_depth24

### GL_OES_depth32

public final boolean GL_OES_depth32

### GL_OES_depth_texture

public final boolean GL_OES_depth_texture

### GL_OES_element_index_uint

public final boolean GL_OES_element_index_uint

### GL_OES_fbo_render_mipmap

public final boolean GL_OES_fbo_render_mipmap

### GL_OES_framebuffer_object

public final boolean GL_OES_framebuffer_object

### GL_OES_get_program_binary

public final boolean GL_OES_get_program_binary

### GL_OES_mapbuffer

public final boolean GL_OES_mapbuffer

### GL_OES_packed_depth_stencil

public final boolean GL_OES_packed_depth_stencil

### GL_OES_required_internalformat

public final boolean GL_OES_required_internalformat

### GL_OES_rgb8_rgba8

public final boolean GL_OES_rgb8_rgba8

### GL_OES_standard_derivatives

public final boolean GL_OES_standard_derivatives

### GL_OES_stencil1

public final boolean GL_OES_stencil1

### GL_OES_stencil4

public final boolean GL_OES_stencil4

### GL_OES_stencil8

public final boolean GL_OES_stencil8

### GL_OES_surfaceless_context

public final boolean GL_OES_surfaceless_context

### GL_OES_texture_3D

public final boolean GL_OES_texture_3D

### GL_OES_texture_float

public final boolean GL_OES_texture_float

### GL_OES_texture_float_linear

public final boolean GL_OES_texture_float_linear

### GL_OES_texture_half_float

public final boolean GL_OES_texture_half_float

### GL_OES_texture_half_float_linear

public final boolean GL_OES_texture_half_float_linear

### GL_OES_texture_npot

public final boolean GL_OES_texture_npot

### GL_OES_vertex_array_object

public final boolean GL_OES_vertex_array_object

### GL_OES_vertex_half_float

public final boolean GL_OES_vertex_half_float

### GL_OES_vertex_type_10_10_10_2

public final boolean GL_OES_vertex_type_10_10_10_2

### GL_QCOM_binning_control

public final boolean GL_QCOM_binning_control

### GL_QCOM_driver_control

public final boolean GL_QCOM_driver_control

### GL_QCOM_extended_get

public final boolean GL_QCOM_extended_get

### GL_QCOM_extended_get2

public final boolean GL_QCOM_extended_get2

### GL_QCOM_performance_monitor_global_mode

public final boolean GL_QCOM_performance_monitor_global_mode

### GL_QCOM_tiled_rendering

public final boolean GL_QCOM_tiled_rendering

### GL_QCOM_writeonly_rendering

public final boolean GL_QCOM_writeonly_rendering

### GL_VIV_shader_binary

public final boolean GL_VIV_shader_binary